com.amazonaws.codegen.model.service

## Class Acceptor

- java.lang.Object
- - com.amazonaws.codegen.model.service.Acceptor

    public class Acceptor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Acceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getArgument()`
`com.fasterxml.jackson.databind.JsonNode` `getExpected()`
`String` `getMatcher()`
`String` `getState()`
`void` `setArgument(String argument)`
`void` `setExpected(com.fasterxml.jackson.databind.JsonNode expected)`
`void` `setMatcher(String matcher)`
`void` `setState(String state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Acceptor

    public Acceptor()

### Method Detail

#### setState

    public void setState(String state)

#### getState

    public String getState()

#### setMatcher

    public void setMatcher(String matcher)

#### getMatcher

    public String getMatcher()

#### setArgument

    public void setArgument(String argument)

#### getArgument

    public String getArgument()

#### setExpected

    public void setExpected(com.fasterxml.jackson.databind.JsonNode expected)

#### getExpected

    public com.fasterxml.jackson.databind.JsonNode getExpected()